Bug 54355 - source code isn't ISO C
Summary: source code isn't ISO C
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cdecl   
(Show other bugs)
Version: 6.2
Hardware: alpha
OS: Linux
low
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-04 17:47 UTC by d.binderman
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-04 17:47:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2001-10-04 17:47:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.6 [en-gb]C-CCK-MCD NetscapeOnline.co.uk  (Win98; I)

Description of problem:
Hello there,

I've just been having a look at the source code 
of cdecl-2.5.

In file cdecl.c, around line 245, a variable is 
declared called 'restrict'.

This identifier is now a reserved word in ISO C.

I changed the identifier to 'restricted' and
the problem seemed to go away.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Compile the source code of cdecl with the Compaq ccc compiler, using the flags -w0 -fast.
2.
3.
	

Additional info:

Comment 1 Preston Brown 2001-11-06 17:15:16 UTC
fixed in 2.5-21 and later.



Note You need to log in before you can comment on or make changes to this bug.